---------------------
PatchSet 1433 
Date: 2005/06/01 16:36:52
Author: rmartinez
Branch: squid3-ipv6
Tag: (none) 
Log:
ASN is typedef as int at config.h . So, proceed to clarify code

Members: 
	src/ACLASN.h:1.5.6.1->1.5.6.2 

Index: squid3/src/ACLASN.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ACLASN.h,v
retrieving revision 1.5.6.1
retrieving revision 1.5.6.2
diff -u -r1.5.6.1 -r1.5.6.2
--- squid3/src/ACLASN.h	19 Apr 2005 10:57:55 -0000	1.5.6.1
+++ squid3/src/ACLASN.h	1 Jun 2005 16:36:52 -0000	1.5.6.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ACLASN.h,v 1.5.6.1 2005/04/19 10:57:55 rmartinez Exp $
+ * $Id: ACLASN.h,v 1.5.6.2 2005/06/01 16:36:52 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -40,10 +40,13 @@
 #include "ACLStrategised.h"
 #include "ACLChecklist.h"
 
-SQUIDCEXTERN int asnMatchIp(List<int> *, struct IN_ADDR);
+
+SQUIDCEXTERN int asnMatchIp(List<ASN> *, struct IN_ADDR);
 SQUIDCEXTERN void asnInit(void);
 SQUIDCEXTERN void asnFreeMemory(void);
 
+
+
 class ACLASN : public ACLData<struct IN_ADDR>
 {
 
@@ -63,7 +66,7 @@
     static ACLStrategised<struct IN_ADDR> SourceRegistryEntry_;
     static ACL::Prototype DestinationRegistryProtoype;
     static ACLStrategised<struct IN_ADDR> DestinationRegistryEntry_;
-    List<int> *data;
+    List<ASN> *data;
 };
 
 MEMPROXY_CLASS_INLINE(ACLASN)
